Groups
All proposals in a group
All proposals (spot + prediction) in a group, as one combined object. Members only.
GET
/
api
/
v1
/
groups
/
{id}
/
proposals
All proposals in a group
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/groups/{id}/proposals \
--header 'Authorization: Bearer <token>'{
"data": {
"tradingProposals": [
{
"proposal": {
"id": "<string>",
"groupId": "<string>",
"createdByUserDynamicId": "<string>",
"tokenMetadataId": "<string>",
"reason": "<string>",
"initialPriceUsd": "12.50",
"exitPriceUsd": "12.50",
"exitPnlPct": "4.27",
"exitPnlUsd": "12.50",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"token": {
"id": "<string>",
"contractAddress": "<string>",
"symbol": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coingeckoId": "<string>",
"verified": true
},
"group": {
"uniqueId": "<string>",
"name": "<string>",
"image": "<string>"
},
"createdBy": {
"dynamicId": "<string>",
"username": "<string>"
},
"trades": [
{
"id": "<string>",
"tradingProposalId": "<string>",
"groupId": "<string>",
"walletAddress": "<string>",
"tokenAmount": "4.27",
"tokenDecimals": 123,
"pricePerTokenUsd": "12.50",
"totalCostUsd": "12.50",
"alphaFeeUsd": "12.50",
"pnlPct": "4.27",
"pnlUsd": "12.50",
"txSignature": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"userPosition": {
"hasPosition": true,
"currentTokenAmountRaw": "<string>",
"totalCostUsd": "12.50",
"avgEntryPriceUsd": "12.50",
"avgExitPriceUsd": "12.50",
"unrealizedPnlPct": "4.27",
"unrealizedPnlUsd": "12.50",
"realizedPnlPct": "4.27",
"realizedPnlUsd": "12.50",
"currentValueUsd": "12.50",
"currentPriceUsd": "12.50",
"userExitedAt": "2023-11-07T05:31:56Z"
},
"participantCount": 123,
"participantAvatars": [
"<string>"
]
}
],
"predictionProposals": [
{
"proposal": {
"id": "<string>",
"groupId": "<string>",
"createdById": "<string>",
"eventId": "<string>",
"marketId": "<string>",
"outcomeMint": "<string>",
"eventTitle": "<string>",
"marketTitle": "<string>",
"eventImageUrl": "<string>",
"isYes": true,
"status": "<string>",
"result": "<string>",
"didWin": true,
"reason": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"market": {},
"userPosition": {
"tokenAmount": "4.27",
"tokenDecimals": 123,
"totalCostUsd": "12.50",
"avgCostBasisUsd": "12.50",
"avgExitPriceUsd": "12.50",
"unrealizedPnlPct": "4.27",
"unrealizedPnlUsd": "12.50",
"realizedPnlPct": "4.27",
"realizedPnlUsd": "12.50",
"currentValueUsd": "12.50",
"currentPriceUsd": "12.50"
},
"remainingTokenAmount": "<string>",
"createdBy": {
"dynamicId": "<string>",
"username": "<string>"
}
}
]
}
}Authorizations
Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).
Path Parameters
Response
Combined proposals.
Show child attributes
Show child attributes
⌘I
All proposals in a group
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/groups/{id}/proposals \
--header 'Authorization: Bearer <token>'{
"data": {
"tradingProposals": [
{
"proposal": {
"id": "<string>",
"groupId": "<string>",
"createdByUserDynamicId": "<string>",
"tokenMetadataId": "<string>",
"reason": "<string>",
"initialPriceUsd": "12.50",
"exitPriceUsd": "12.50",
"exitPnlPct": "4.27",
"exitPnlUsd": "12.50",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"token": {
"id": "<string>",
"contractAddress": "<string>",
"symbol": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coingeckoId": "<string>",
"verified": true
},
"group": {
"uniqueId": "<string>",
"name": "<string>",
"image": "<string>"
},
"createdBy": {
"dynamicId": "<string>",
"username": "<string>"
},
"trades": [
{
"id": "<string>",
"tradingProposalId": "<string>",
"groupId": "<string>",
"walletAddress": "<string>",
"tokenAmount": "4.27",
"tokenDecimals": 123,
"pricePerTokenUsd": "12.50",
"totalCostUsd": "12.50",
"alphaFeeUsd": "12.50",
"pnlPct": "4.27",
"pnlUsd": "12.50",
"txSignature": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"userPosition": {
"hasPosition": true,
"currentTokenAmountRaw": "<string>",
"totalCostUsd": "12.50",
"avgEntryPriceUsd": "12.50",
"avgExitPriceUsd": "12.50",
"unrealizedPnlPct": "4.27",
"unrealizedPnlUsd": "12.50",
"realizedPnlPct": "4.27",
"realizedPnlUsd": "12.50",
"currentValueUsd": "12.50",
"currentPriceUsd": "12.50",
"userExitedAt": "2023-11-07T05:31:56Z"
},
"participantCount": 123,
"participantAvatars": [
"<string>"
]
}
],
"predictionProposals": [
{
"proposal": {
"id": "<string>",
"groupId": "<string>",
"createdById": "<string>",
"eventId": "<string>",
"marketId": "<string>",
"outcomeMint": "<string>",
"eventTitle": "<string>",
"marketTitle": "<string>",
"eventImageUrl": "<string>",
"isYes": true,
"status": "<string>",
"result": "<string>",
"didWin": true,
"reason": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"market": {},
"userPosition": {
"tokenAmount": "4.27",
"tokenDecimals": 123,
"totalCostUsd": "12.50",
"avgCostBasisUsd": "12.50",
"avgExitPriceUsd": "12.50",
"unrealizedPnlPct": "4.27",
"unrealizedPnlUsd": "12.50",
"realizedPnlPct": "4.27",
"realizedPnlUsd": "12.50",
"currentValueUsd": "12.50",
"currentPriceUsd": "12.50"
},
"remainingTokenAmount": "<string>",
"createdBy": {
"dynamicId": "<string>",
"username": "<string>"
}
}
]
}
}